
-- 公众号文章表
CREATE TABLE webchat_pgc.web_chat_article (
      `ID` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT '自增ID',
      `PUBLIC_ACCOUNT` char(60) NOT NULL COMMENT '绑定公众号账号',
      `AUTHOR` char(60) NOT NULL COMMENT '作者',
      `TITLE` varchar(100) NOT NULL COMMENT '文章标题',
      `CONTENT` longtext NOT NULL COMMENT '正文',
      `COVER` varchar(400) NOT NULL COMMENT '封面图',
      `REDIRECT_URL` varchar(400) DEFAULT NULL COMMENT '外部连接',
      `DESCRIPTION` varchar(200) DEFAULT NULL COMMENT '摘要/智能总结',
      `signs` varchar(200) DEFAULT NULL COMMENT '标签',
      `PLAN_PUSH_DATE` datetime DEFAULT NULL  COMMENT '计划推文时间',
      `STATUS` tinyint(1) DEFAULT 1 COMMENT '文章状态',
      `CREATE_BY` char(100) DEFAULT NULL COMMENT '创建人',
      `CREATE_DATE` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
      `UPDATE_BY` char(100) DEFAULT NULL COMMENT '更新人',
      `UPDATE_DATE` datetime DEFAULT NULL COMMENT '更新时间',
      `VERSION` int DEFAULT '0' COMMENT '版本',
      PRIMARY KEY (`ID`),
      KEY `INDEX_STATUS_PUBLIC_ACCOUNT` (`STATUS`, `PUBLIC_ACCOUNT`),
      KEY `INDEX_PLAN_PUSH_DATE` (`PLAN_PUSH_DATE`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COMMENT='公众号文章表';

-- 服务号消息卡片模版配置表
CREATE TABLE webchat_pgc.web_chat_message_card_template (
   `ID` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT '自增ID',
   `ACCOUNT` char(60) NOT NULL COMMENT '服务号',
   `TEMPLATE_ID` varchar(60) NOT NULL COMMENT '模板ID',
   `LOGO` varchar(400) DEFAULT NULL COMMENT 'logo',
   `TITLE` varchar(100) DEFAULT NULL COMMENT '标题',
   `CONTENT` text NOT NULL COMMENT '模版内容(richText html富文本模版)',
   `REDIRECT_NAME` varchar(200) DEFAULT NULL COMMENT '链接名称',
   `REDIRECT_URL` varchar(400) DEFAULT NULL COMMENT '卡片点击跳转链接',
   `STATUS` tinyint(1) DEFAULT '1' COMMENT '状态',
   `CREATE_BY` char(100) DEFAULT NULL COMMENT '创建人',
   `CREATE_DATE` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
   `UPDATE_BY` char(100) DEFAULT NULL COMMENT '更新人',
   `UPDATE_DATE` datetime DEFAULT NULL COMMENT '更新时间',
   `VERSION` int DEFAULT '0' COMMENT '版本',
   PRIMARY KEY (`ID`),
   UNIQUE KEY `UK_TEMPLATE_ID` (`TEMPLATE_ID`),
   KEY `INDEX_STATUS_ACCOUNT` (`STATUS`, `ACCOUNT`)
) ENGINE=InnoDB AUTO_INCREMENT=1  DEFAULT CHARSET=utf8mb4 COMMENT='服务号消息卡片模版配置表';


